#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_173()
{
    // event 125_5
    {
        // group: Scrolling
        screencamlayerlg_274_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_274_instances, camerabarriery_276_instances)) goto event_125_5_end;
        ((Active*)get_instance(cameratarget_106_instances))->alterables->values.set(2, 0); // 'camera-target'
    }
    event_125_5_end: ;
}
void Frames::loop_camcheck1_5()
{
    event_func_168();
    event_func_169();
    event_func_170();
    event_func_171();
    event_func_172();
    event_func_173();
}
void Frames::event_func_174()
{
    // event 15_5
    {
        // group: Gravity/Jump
        detector_116_instances.clear_selection();
        platform_117_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform_117_instances)) goto event_15_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_15_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_15_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_15_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_15_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_15_5_1: ;
        }
    }
    event_15_5_end: ;
}
void Frames::event_func_175()
{
    // event 16_5
    {
        // group: Gravity/Jump
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_16_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_16_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_16_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_16_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_16_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_16_5_1: ;
        }
    }
    event_16_5_end: ;
}
void Frames::event_func_176()
{
    // event 17_5
    {
        // group: Gravity/Jump
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_17_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_17_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_17_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_17_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_17_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_17_5_1: ;
        }
    }
    event_17_5_end: ;
}
void Frames::event_func_177()
{
    // event 18_5
    {
        // group: Gravity/Jump
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_18_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_18_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_18_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_18_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_18_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_18_5_1: ;
        }
    }
    event_18_5_end: ;
}
void Frames::event_func_178()
{
    // event 19_5
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_19_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_19_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_19_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_19_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_19_5_1: ;
        }
    }
    event_19_5_end: ;
}
void Frames::event_func_179()
{
    // event 20_5
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_20_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_20_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_20_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_20_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_20_5_1: ;
        }
    }
    event_20_5_end: ;
}
void Frames::event_func_180()
{
    // event 21_5
    {
        // group: Gravity/Jump
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_21_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_21_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_21_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_21_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_21_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_21_5_1: ;
        }
    }
    event_21_5_end: ;
}
void Frames::event_func_181()
{
    // event 22_5
    {
        // group: Gravity/Jump
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_22_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_22_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_22_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_22_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_22_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_22_5_1: ;
        }
    }
    event_22_5_end: ;
}
void Frames::event_func_182()
{
    // event 49_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_49_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)get_instance(player_115_instances))->get_y()+16);
        }
        ((Active*)get_instance(hurtbox_196_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y());
    }
    event_49_5_end: ;
}
void Frames::event_func_183()
{
    // event 155_5
    {
        // group: Vert Platforms
        player_115_instances.clear_selection();
        vertdetector_129_instances.clear_selection();
        if (!check_overlap(player_115_instances, vertdetector_129_instances)) goto event_155_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_155_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+4);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_155_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_155_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
            loop_gravity_running = false;
    
    }
    event_155_5_end: ;
}
void Frames::event_func_184()
{
    // event 156_5
    {
        // group: Vert Platforms
        player_115_instances.clear_selection();
        vertdetector_129_instances.clear_selection();
        if (!check_overlap(player_115_instances, vertdetector_129_instances)) goto event_156_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_156_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_156_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_156_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
            loop_gravity_running = false;
    
    }
    event_156_5_end: ;
}
void Frames::event_func_185()
{
    // event 169_5
    {
        // group: Story events
        player_115_instances.clear_selection();
        trapdoor_137_instances.clear_selection();
        if (!check_overlap(player_115_instances, trapdoor_137_instances)) goto event_169_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_169_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_169_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_169_5_0: ;
        }
    }
    event_169_5_end: ;
}
void Frames::event_func_186()
{
    // event 170_5
    {
        // group: Story events
        player_115_instances.clear_selection();
        trapdoor_137_instances.clear_selection();
        if (!check_overlap(player_115_instances, trapdoor_137_instances)) goto event_170_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_170_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_170_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_170_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_170_5_end: ;
}
void Frames::event_func_187()
{
    // event 926_5
    {
        // group: Disappearing Blocks
        player_115_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(player_115_instances, dissappear_175_instances)) goto event_926_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_926_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_926_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_926_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_926_5_0: ;
        }
    }
    event_926_5_end: ;
}
void Frames::event_func_188()
{
    // event 927_5
    {
        // group: Disappearing Blocks
        player_115_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(player_115_instances, dissappear_175_instances)) goto event_927_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_927_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_927_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_927_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_927_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_927_5_end: ;
}
void Frames::event_func_189()
{
    // event 948_5
    {
        // group: Eyeblock
        player_115_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(player_115_instances, objeyeblock_191_instances)) goto event_948_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_948_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_948_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_948_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_948_5_0: ;
        }
    }
    event_948_5_end: ;
}
void Frames::event_func_190()
{
    // event 949_5
    {
        // group: Eyeblock
        player_115_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(player_115_instances, objeyeblock_191_instances)) goto event_949_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_949_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_949_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_949_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_949_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_949_5_end: ;
}
void Frames::event_func_191()
{
    // event 1068_5
    {
        // group: Enemy Gates
        player_115_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(player_115_instances, objenemygate_257_instances)) goto event_1068_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_1068_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1068_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1068_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1068_5_0: ;
        }
    }
    event_1068_5_end: ;
}
void Frames::event_func_192()
{
    // event 1069_5
    {
        // group: Enemy Gates
        player_115_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(player_115_instances, objenemygate_257_instances)) goto event_1069_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_1069_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1069_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1069_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1069_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_1069_5_end: ;
}
void Frames::event_func_193()
{
    // event 1178_5
    {
        // group: Clockwork Block
        player_115_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(player_115_instances, objcogblock_287_instances)) goto event_1178_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_1178_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1178_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1178_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1178_5_0: ;
        }
    }
    event_1178_5_end: ;
}
void Frames::event_func_194()
{
    // event 1179_5
    {
        // group: Clockwork Block
        player_115_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(player_115_instances, objcogblock_287_instances)) goto event_1179_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_1179_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1179_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1179_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1179_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_1179_5_end: ;
}
void Frames::event_func_195()
{
    // event 1200_5
    {
        // group: Crumble Block
        player_115_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(player_115_instances, objjunkblock_288_instances)) goto event_1200_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_1200_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1200_5_end;
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1200_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1200_5_0: ;
        }
    }
    event_1200_5_end: ;
}
void Frames::event_func_196()
{
    // event 1201_5
    {
        // group: Crumble Block
        player_115_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(player_115_instances, objjunkblock_288_instances)) goto event_1201_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_1201_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1201_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-1);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1201_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1201_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_1201_5_end: ;
}
void Frames::loop_gravity_5()
{
    event_func_174();
    event_func_175();
    event_func_176();
    event_func_177();
    event_func_178();
    event_func_179();
    event_func_180();
    event_func_181();
    event_func_182();
    event_func_183();
    event_func_184();
    event_func_185();
    event_func_186();
    event_func_187();
    event_func_188();
    event_func_189();
    event_func_190();
    event_func_191();
    event_func_192();
    event_func_193();
    event_func_194();
    event_func_195();
    event_func_196();
}
void Frames::event_func_197()
{
    // event 357_5
    {
        // group: More collisions
        enemyhoppy_174_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(enemyhoppy_174_instances, objjunkblock_288_instances)) goto event_357_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1.0);
            ((Active*)*it)->alterables->values.set(4, 0); // 'Enemy-Hoppy'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_357_5_end: ;
}
void Frames::loop_hoppyingarbage_5()
{
    event_func_197();
}
void Frames::event_func_198()
{
    // event 984_5
    {
        debris_204_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_debris_204(1708, -133), 5);
            debris_204_instances.add_back();
        }
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(1));
            ((Active*)*it)->alterables->values.set(0, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
            ((Active*)*it)->alterables->values.set(1, ((randrange_event(110)*1.0)/MathHelper()/10.0)-8); // 'debris'
            ((Active*)*it)->alterables->values.set(3, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
            ((Active*)*it)->alterables->values.set(4, randrange_event(13)); // 'debris'
        }
    }
    event_984_5_end: ;
}
void Frames::loop_debris_5()
{
    event_func_198();
}
void Frames::event_func_199()
{
    // event 256_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (0))) goto event_256_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_M2_01_35, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_M2_01_35, global_values->get(12)*0.45);
    }
    event_256_5_end: ;
}
void Frames::event_func_200()
{
    // event 257_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (1))) goto event_257_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_M1_01_36, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_M1_01_36, global_values->get(12)*0.45);
    }
    event_257_5_end: ;
}
void Frames::event_func_201()
{
    // event 258_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (2))) goto event_258_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_258_5_end: ;
}
void Frames::event_func_202()
{
    // event 259_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (3))) goto event_259_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_P1_01_37, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_P1_01_37, global_values->get(12)*0.45);
    }
    event_259_5_end: ;
}
void Frames::event_func_203()
{
    // event 260_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (4))) goto event_260_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_P2_01_38, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_P2_01_38, global_values->get(12)*0.45);
    }
    event_260_5_end: ;
}
void Frames::event_func_204()
{
    // event 261_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (5))) goto event_261_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_P3_01_39, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_P3_01_39, global_values->get(12)*0.45);
    }
    event_261_5_end: ;
}
void Frames::event_func_205()
{
    // event 262_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) == (6))) goto event_262_5_end;
            loop_hitsound_running = false;
    
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
        media.play_id(SOUND_ENEMYHIT_P4_01_40, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_P4_01_40, global_values->get(12)*0.45);
    }
    event_262_5_end: ;
}
void Frames::event_func_206()
{
    // event 263_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(13)) >= (7))) goto event_263_5_end;
            loop_hitsound_running = false;
    
        media.play_id(SOUND_ENEMYHIT_P5_01_41, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_P5_01_41, global_values->get(12)*0.45);
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
    }
    event_263_5_end: ;
}
void Frames::loop_hitsound_5()
{
    event_func_199();
    event_func_200();
    event_func_201();
    event_func_202();
    event_func_203();
    event_func_204();
    event_func_205();
    event_func_206();
}
void Frames::event_func_207()
{
    // event 1023_5
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!objnewcrate_296_instances.has_selection()) goto event_1023_5_end;
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
        }
    }
    event_1023_5_end: ;
}
void Frames::event_func_208()
{
    // event 1024_5
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(objnewcrate_296_instances, objcogblock_287_instances)) goto event_1024_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1024_5_end;
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
        }
    }
    event_1024_5_end: ;
}
void Frames::loop_newcrateinground_5()
{
    event_func_207();
    event_func_208();
}
void Frames::event_func_209()
{
    // event 342_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_342_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1.0);
            ((Active*)*it)->alterables->values.set(4, 0); // 'Enemy-Hoppy'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_342_5_end: ;
}
void Frames::loop_hoppyinground_5()
{
    event_func_209();
}
void Frames::event_func_210()
{
    // event 831_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_831_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(10, 0); // 'enemy-lonestarnew'
        }
    }
    event_831_5_end: ;
}
void Frames::loop_lonestaringround_5()
{
    event_func_210();
}
void Frames::event_func_211()
{
    // event 328_5
    {
        ((Active*)get_instance(healthbar_166_instances))->set_x_scale(global_values->get(0)/MathHelper()/100.0);
    }
    event_328_5_end: ;
}
void Frames::loop_healthupdate_5()
{
    event_func_211();
}
void Frames::event_func_212()
{
    // event 33_5
    {
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_33_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_33_5_0: ;
        }
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(player_115_instances))->get_x());
        }
        ((Active*)get_instance(hurtbox_196_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x());
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_33_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_33_5_1: ;
        }
    }
    event_33_5_end: ;
}
void Frames::event_func_213()
{
    // event 34_5
    {
        // group: Horizontal
        player_115_instances.clear_selection();
        door_125_instances.clear_selection();
        if (!check_overlap(player_115_instances, door_125_instances)) goto event_34_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(3)) > (0))) goto event_34_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(3, 1); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_34_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_34_5_0: ;
        }
        for (ObjectIterator it(door_125_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_34_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_34_5_1: ;
        }
        media.stop_sample(SOUND_FWOOSH_31);
        media.set_sample_volume(SOUND_FWOOSH_31, 0.7*global_values->get(12));
        media.play_id(SOUND_FWOOSH_31, -1, 1);
        media.set_sample_volume(SOUND_FWOOSH_31, 0.7*global_values->get(12));
    }
    event_34_5_end: ;
}
void Frames::event_func_214()
{
    // event 35_5
    {
        // group: Horizontal
        player_115_instances.clear_selection();
        door_125_instances.clear_selection();
        if (!check_overlap(player_115_instances, door_125_instances)) goto event_35_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_35_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_35_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_35_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_35_5_1: ;
        }
    }
    event_35_5_end: ;
}
void Frames::event_func_215()
{
    // event 36_5
    {
        // group: Horizontal
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_36_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_36_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_36_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_36_5_1;
            ((Active*)get_instance(detectorbelow_289_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_36_5_1: ;
        }
    }
    event_36_5_end: ;
}
void Frames::event_func_216()
{
    // event 159_5
    {
        // group: Vert Platforms
        player_115_instances.clear_selection();
        vertplatform_128_instances.clear_selection();
        if (!check_overlap(player_115_instances, vertplatform_128_instances)) goto event_159_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_159_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_159_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_159_5_end: ;
}
void Frames::event_func_217()
{
    // event 294_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntstatic_153_instances)) goto event_294_5_end;
        if (!check_not_overlap(tntstatic_153_instances, conveyorl_122_instances)) goto event_294_5_end;
        if (!check_not_overlap(tntstatic_153_instances, conveyorr_123_instances)) goto event_294_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_294_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_294_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_294_5_end: ;
}
void Frames::event_func_218()
{
    // event 295_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntconveyor_161_instances)) goto event_295_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_295_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_295_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_295_5_end: ;
}
void Frames::event_func_219()
{
    // event 296_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntconveyor_161_instances)) goto event_296_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorl_122_instances)) goto event_296_5_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_296_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_296_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_296_5_end: ;
}
void Frames::event_func_220()
{
    // event 297_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntconveyor_161_instances)) goto event_297_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorr_123_instances)) goto event_297_5_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_297_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_297_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_297_5_end: ;
}
void Frames::event_func_221()
{
    // event 298_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntstatic_153_instances)) goto event_298_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorl_122_instances)) goto event_298_5_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_298_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_298_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_298_5_end: ;
}
void Frames::event_func_222()
{
    // event 299_5
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntstatic_153_instances)) goto event_299_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorr_123_instances)) goto event_299_5_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_299_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_299_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_299_5_end: ;
}
void Frames::event_func_223()
{
    // event 928_5
    {
        // group: Disappearing Blocks
        player_115_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(player_115_instances, dissappear_175_instances)) goto event_928_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_928_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_928_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_928_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_928_5_end: ;
}
void Frames::event_func_224()
{
    // event 950_5
    {
        // group: Eyeblock
        player_115_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(player_115_instances, objeyeblock_191_instances)) goto event_950_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_950_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_950_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_950_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_950_5_end: ;
}
void Frames::event_func_225()
{
    // event 1070_5
    {
        // group: Enemy Gates
        player_115_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(player_115_instances, objenemygate_257_instances)) goto event_1070_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1070_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1070_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1070_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_1070_5_end: ;
}
void Frames::event_func_226()
{
    // event 1180_5
    {
        // group: Clockwork Block
        player_115_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(player_115_instances, objcogblock_287_instances)) goto event_1180_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1180_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1180_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1180_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_1180_5_end: ;
}
void Frames::event_func_227()
{
    // event 1202_5
    {
        // group: Crumble Block
        player_115_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(player_115_instances, objjunkblock_288_instances)) goto event_1202_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1202_5_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+(0-((Active*)get_instance(player_115_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1202_5_0;
            ((Active*)get_instance(detector_116_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1202_5_0: ;
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_1202_5_end: ;
}
void Frames::loop_horiz_5()
{
    event_func_212();
    event_func_213();
    event_func_214();
    event_func_215();
    event_func_216();
    event_func_217();
    event_func_218();
    event_func_219();
    event_func_220();
    event_func_221();
    event_func_222();
    event_func_223();
    event_func_224();
    event_func_225();
    event_func_226();
    event_func_227();
}
void Frames::event_func_228()
{
    // event 753_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_753_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_753_5_end: ;
}
void Frames::event_func_229()
{
    // event 778_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, objcogblock_287_instances)) goto event_778_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_778_5_end: ;
}
void Frames::event_func_230()
{
    // event 785_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        active_1_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, active_1_instances)) goto event_785_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_785_5_end: ;
}
void Frames::event_func_231()
{
    // event 789_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        objcratestopper_258_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, objcratestopper_258_instances)) goto event_789_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_789_5_end: ;
}
void Frames::loop_boxmaninground_5()
{
    event_func_228();
    event_func_229();
    event_func_230();
    event_func_231();
}
void Frames::event_func_232()
{
    // event 1193_5
    {
        // group: Clockwork Block
        if (!(loop_count <= 1)) goto event_1193_5_end;
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_1193_5_end: ;
}
void Frames::col_0_5()
{
    event_func_232();
}
void Frames::event_func_233()
{
    // event 905_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 60); // 'spawner-bouncingball'
        FrameObject * single_instance_905_5_0; single_instance_905_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyronaldgrantbrook_328(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_905_5_0 == NULL)
                single_instance_905_5_0 = new_obj;
        }
    }
    event_905_5_end: ;
}
void Frames::col_1_5()
{
    event_func_233();
}
void Frames::event_func_234()
{
    // event 597_5
    {
        FrameObject * single_instance_597_5_0; single_instance_597_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyzappa_242(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 12), ((Active*)col_instance_2)->layer);
            if (single_instance_597_5_0 == NULL)
                single_instance_597_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_597_5_0))->alterables->values.set(2, ((Active*)single_instance_597_5_0)->alterables->values.get(3)); // 'enemy-zappa'
    }
    event_597_5_end: ;
}
void Frames::col_2_5()
{
    event_func_234();
}
void Frames::event_func_235()
{
    // event 695_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_695_5_end: ;
}
void Frames::col_3_5()
{
    event_func_235();
}
void Frames::event_func_236()
{
    // event 220_5
    {
        // group: Sounds
        if (not_always_220_5_0 > loop_count) {
            not_always_220_5_0 = loop_count + 2;
            goto event_220_5_end;
        }
        not_always_220_5_0 = loop_count + 2;
        {
            loop_hitsound_running = true;
            int times = int(1);
            loop_hitsound_index = 0;
            while (loop_hitsound_index < times) {
                loop_hitsound_5();
                if (!loop_hitsound_running) break;
                loop_hitsound_index++;
            }
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(13, 1); // 'FrameDataStore'
    }
    event_220_5_end: ;
}
void Frames::event_func_237()
{
    // event 799_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 1); // 'enemy-gearoflaw'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_799_5_end: ;
}
void Frames::col_4_5()
{
    event_func_236();
    event_func_237();
}
void Frames::event_func_238()
{
    // event 168_5
    {
        manager.ignore_controls = true;
        {
            ((Active*)col_instance_1)->set_global_position(4144, 624);
            pos_end_168_5_0: ;
        }
        ((Active*)get_instance(inputcoordinatorsecretary_138_instances))->force_animation(1);
    }
    event_168_5_end: ;
}
void Frames::col_5_5()
{
    event_func_238();
}
void Frames::event_func_239()
{
    // event 550_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(6, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_550_5_end: ;
}
void Frames::event_func_240()
{
    // event 555_5
    {
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_555_5_end: ;
}
void Frames::col_6_5()
{
    event_func_236();
    event_func_239();
    event_func_240();
}
void Frames::event_func_241()
{
    // event 1197_5
    {
        // group: Clockwork Block
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_1197_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_1197_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_1197_5_end;
        if (not_always_1197_5_0 > loop_count) {
            not_always_1197_5_0 = loop_count + 2;
            goto event_1197_5_end;
        }
        not_always_1197_5_0 = loop_count + 2;
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_1197_5_end: ;
}
void Frames::col_7_5()
{
    event_func_241();
}
void Frames::event_func_242()
{
    // event 1060_5
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_1060_5_end: ;
}
void Frames::col_8_5()
{
    event_func_242();
}
void Frames::event_func_243()
{
    // event 885_5
    {
        media.stop_sample(SOUND_BOINGSHORTENED_49);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, global_values->get(12)*0.3);
        media.play_id(SOUND_BOINGSHORTENED_49, -1, 1);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, 0.3*global_values->get(12));
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_885_5_0; single_instance_885_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_debris_204(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_885_5_0 == NULL)
                single_instance_885_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_885_5_0))->alterables->values.set(0, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_885_5_0))->alterables->values.set(1, ((randrange_event(40)*1.0)/MathHelper()/10.0)-8); // 'debris'
        ((Active*)((Active*)single_instance_885_5_0))->alterables->values.set(3, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_885_5_0))->alterables->values.set(4, -1); // 'debris'
    }
    event_885_5_end: ;
}
void Frames::col_9_5()
{
    event_func_243();
}
void Frames::event_func_244()
{
    // event 797_5
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_797_5_end: ;
}
void Frames::col_10_5()
{
    event_func_244();
}
void Frames::event_func_245()
{
    // event 1194_5
    {
        // group: Clockwork Block
        if (!(loop_count <= 1)) goto event_1194_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_1194_5_end: ;
}
void Frames::col_11_5()
{
    event_func_245();
}
void Frames::event_func_246()
{
    // event 435_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 1); // 'enemy-cannon-root'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_435_5_end: ;
}
void Frames::event_func_247()
{
    // event 437_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemycannon_189_instances)) goto event_437_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        media.stop_sample(SOUND_BEWAAACHI_44);
    }
    event_437_5_end: ;
}
void Frames::event_func_248()
{
    // event 441_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemycannon_189_instances)) goto event_441_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 60); // 'enemy-cannon'
            ((Active*)*it)->alterables->values.set(0, 999); // 'enemy-cannon'
        }
    }
    event_441_5_end: ;
}
void Frames::col_12_5()
{
    event_func_236();
    event_func_246();
    event_func_247();
    event_func_248();
}
