#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_411()
{
    // event 289_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_289_5_0; single_instance_289_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_200(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_289_5_0 == NULL)
                single_instance_289_5_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_289_5_end: ;
}
void Frames::col_200_5()
{
    event_func_411();
}
void Frames::event_func_412()
{
    // event 644_5
    {
        // group: Rock-It Ship
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_644_5_end;
        ((Active*)((Active*)col_instance_2))->set_direction(0);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(15);
        ((Active*)((Active*)col_instance_2))->alterables->values.set(4, 1); // 'enemy-rockiship'
    }
    event_644_5_end: ;
}
void Frames::col_202_5()
{
    event_func_412();
}
void Frames::event_func_413()
{
    // event 762_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 1); // 'enemy-boxspawner'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_762_5_end: ;
}
void Frames::col_203_5()
{
    event_func_236();
    event_func_413();
}
void Frames::col_205_5()
{
    event_func_382();
}
void Frames::event_func_414()
{
    // event 1168_5
    {
        // group: Incentives
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_1168_5_end;
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 15); // 'camera shaker'
        media.stop_sample(SOUND_SQUEAKYBOOM_28);
        media.play_id(SOUND_SQUEAKYBOOM_28, -1, 1);
        media.set_sample_volume(SOUND_SQUEAKYBOOM_28, 0.8*global_values->get(12));
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        global_values->add(2, 1);
        ((Active*)get_instance(uilivesactive_281_instances))->force_animation(12);
        global_values->set(14, ((Active*)col_instance_2)->alterables->values.get(1));
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-bonus-time'
        {
            loop_debris_confetti_running = true;
            int times = int(20);
            loop_debris_confetti_index = 0;
            while (loop_debris_confetti_index < times) {
                loop_debris_confetti_5();
                if (!loop_debris_confetti_running) break;
                loop_debris_confetti_index++;
            }
        }
    }
    event_1168_5_end: ;
}
void Frames::col_208_5()
{
    event_func_270();
    event_func_414();
}
void Frames::event_func_415()
{
    // event 739_5
    {
        // group: Shootythingy
        if (!check_not_overlap(((Active*)col_instance_2), enemytoolio_282_instances)) goto event_739_5_end;
        FrameObject * single_instance_739_5_0; single_instance_739_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemytoolio_282(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_739_5_0 == NULL)
                single_instance_739_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_739_5_0))->alterables->values.set(0, 110); // 'enemy-toolio'
    }
    event_739_5_end: ;
}
void Frames::col_209_5()
{
    event_func_415();
}
void Frames::event_func_416()
{
    // event 727_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-snipereye'
    }
    event_727_5_end: ;
}
void Frames::col_210_5()
{
    event_func_416();
}
void Frames::event_func_417()
{
    // event 873_5
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(0);
    }
    event_873_5_end: ;
}
void Frames::col_211_5()
{
    event_func_417();
}
void Frames::event_func_418()
{
    // event 330_5
    {
        // group: Health/lives
        if (not_always_330_5_0 > loop_count) {
            not_always_330_5_0 = loop_count + 2;
            goto event_330_5_end;
        }
        not_always_330_5_0 = loop_count + 2;
        global_values->sub(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_330_5_end: ;
}
void Frames::col_213_5()
{
    event_func_418();
}
void Frames::event_func_419()
{
    // event 710_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_710_5_end: ;
}
void Frames::event_func_420()
{
    // event 712_5
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (1))) goto event_712_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.add(2, 5); // 'enemy-evileye'
    }
    event_712_5_end: ;
}
void Frames::event_func_421()
{
    // event 713_5
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) != (1))) goto event_713_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.add(2, -5); // 'enemy-evileye'
    }
    event_713_5_end: ;
}
void Frames::col_214_5()
{
    event_func_236();
    event_func_419();
    event_func_420();
    event_func_421();
}
void Frames::event_func_422()
{
    // event 919_5
    {
        FrameObject * single_instance_919_5_0; single_instance_919_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemysmasher_331(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_919_5_0 == NULL)
                single_instance_919_5_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 300); // 'spawner-smasher'
    }
    event_919_5_end: ;
}
void Frames::col_215_5()
{
    event_func_422();
}
void Frames::event_func_423()
{
    // event 236_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        media.stop_sample(SOUND_EYEBLOCK_14);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_236_5_end: ;
}
void Frames::event_func_424()
{
    // event 960_5
    {
        // group: Eyeblock
        screen_170_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_1), screen_170_instances)) goto event_960_5_end;
        FrameObject * single_instance_960_5_0; single_instance_960_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_199(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_960_5_0 == NULL)
                single_instance_960_5_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_960_5_1; single_instance_960_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcollisionbox_318(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_960_5_1 == NULL)
                single_instance_960_5_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 11); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 11); // 'camera shaker'
    }
    event_960_5_end: ;
}
void Frames::col_216_5()
{
    event_func_423();
    event_func_424();
}
void Frames::event_func_425()
{
    // event 590_5
    {
        FrameObject * single_instance_590_5_0; single_instance_590_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemydangerned_239(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_590_5_0 == NULL)
                single_instance_590_5_0 = new_obj;
        }
    }
    event_590_5_end: ;
}
void Frames::col_218_5()
{
    event_func_425();
}
void Frames::event_func_426()
{
    // event 794_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 0); // 'enemy-boxspawner'
    }
    event_794_5_end: ;
}
void Frames::col_219_5()
{
    event_func_426();
}
void Frames::event_func_427()
{
    // event 741_5
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(-25);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(2, 1); // 'enemy-homing-cog'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 4); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 4); // 'camera shaker'
    }
    event_741_5_end: ;
}
void Frames::col_220_5()
{
    event_func_236();
    event_func_427();
}
void Frames::col_221_5()
{
    event_func_292();
}
void Frames::event_func_428()
{
    // event 1110_5
    {
        // group: Platform Spawners
        vertplatform_128_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_1), vertplatform_128_instances)) goto event_1110_5_end;
        ((Active*)((Active*)col_instance_1))->destroy();
        for (ObjectIterator it(vertplatform_128_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1110_5_end: ;
}
void Frames::col_222_5()
{
    event_func_428();
}
void Frames::event_func_429()
{
    // event 633_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'enemy-rockiship'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_633_5_end: ;
}
void Frames::col_223_5()
{
    event_func_429();
}
void Frames::event_func_430()
{
    // event 464_5
    {
        // group: Atom Bomb
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_464_5_end;
        global_values->sub(0, ((Active*)get_instance(bigexplosion_199_instances, default_active_instance))->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_464_5_end: ;
}
void Frames::col_224_5()
{
    event_func_430();
}
void Frames::event_func_431()
{
    // event 327_5
    {
        // group: Crates
        if (!((((Active*)col_instance_1)->alterables->values.get(0)) < (0))) goto event_327_5_end;
        if (!((((Active*)col_instance_2)->get_movement()->get_speed()) < (3))) goto event_327_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, 1); // 'Player'
    }
    event_327_5_end: ;
}
void Frames::col_225_5()
{
    event_func_431();
}
void Frames::event_func_432()
{
    // event 571_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_571_5_end: ;
}
void Frames::col_226_5()
{
    event_func_236();
    event_func_432();
}
void Frames::event_func_433()
{
    // event 564_5
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_564_5_end: ;
}
void Frames::col_227_5()
{
    event_func_433();
}
void Frames::event_func_434()
{
    // event 203_5
    {
        // group: Sounds
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_203_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_203_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_203_5_end;
        if (not_always_203_5_0 > loop_count) {
            not_always_203_5_0 = loop_count + 2;
            goto event_203_5_end;
        }
        not_always_203_5_0 = loop_count + 2;
        media.stop_sample(SOUND_GETONGROUND_2);
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_203_5_end: ;
}
void Frames::col_228_5()
{
    event_func_434();
}
void Frames::event_func_435()
{
    // event 573_5
    {
        // group: MobileBro
        if (!((((Active*)get_instance(cameratarget_106_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_573_5_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_573_5_end;
        FrameObject * single_instance_573_5_0; single_instance_573_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemymobilebrohoriz_236(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_573_5_0 == NULL)
                single_instance_573_5_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 360); // 'spawner-mobilebro'
    }
    event_573_5_end: ;
}
void Frames::col_230_5()
{
    event_func_435();
}
void Frames::event_func_436()
{
    // event 776_5
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, 0); // 'enemy-boxman'
    }
    event_776_5_end: ;
}
void Frames::col_231_5()
{
    event_func_436();
}
void Frames::event_func_437()
{
    // event 285_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_285_5_end: ;
}
void Frames::col_232_5()
{
    event_func_437();
}
void Frames::event_func_438()
{
    // event 671_5
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_671_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_671_5_end: ;
}
void Frames::event_func_439()
{
    // event 672_5
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_672_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_672_5_end: ;
}
void Frames::col_233_5()
{
    event_func_236();
    event_func_438();
    event_func_439();
}
void Frames::event_func_440()
{
    // event 1010_5
    {
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, -15); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(5, 1); // 'Player'
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_1010_5_end: ;
}
void Frames::col_234_5()
{
    event_func_440();
}
void Frames::event_func_441()
{
    // event 1037_5
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_1037_5_end: ;
}
void Frames::col_236_5()
{
    event_func_441();
}
void Frames::event_func_442()
{
    // event 396_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_396_5_end: ;
}
void Frames::col_237_5()
{
    event_func_236();
    event_func_442();
}
void Frames::event_func_443()
{
    // event 890_5
    {
        // group: PitHopper
        if (!(((Active*)col_instance_2)->test_directions(256))) goto event_890_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'enemy-pithopper'
    }
    event_890_5_end: ;
}
void Frames::col_238_5()
{
    event_func_443();
}
void Frames::event_func_444()
{
    // event 1042_5
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_1042_5_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1042_5_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_1042_5_end: ;
}
void Frames::col_239_5()
{
    event_func_444();
}
void Frames::event_func_445()
{
    // event 1043_5
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_1043_5_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1043_5_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_1043_5_end: ;
}
void Frames::col_241_5()
{
    event_func_445();
}
void Frames::event_func_446()
{
    // event 690_5
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_690_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
    }
    event_690_5_end: ;
}
void Frames::event_func_447()
{
    // event 691_5
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_691_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
    }
    event_691_5_end: ;
}
void Frames::col_242_5()
{
    event_func_446();
    event_func_447();
}
void Frames::event_func_448()
{
    // event 1061_5
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_1061_5_end: ;
}
void Frames::col_243_5()
{
    event_func_448();
}
void Frames::event_func_449()
{
    // event 556_5
    {
        FrameObject * single_instance_556_5_0; single_instance_556_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyblobululephase1_233(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_556_5_0 == NULL)
                single_instance_556_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_556_5_0))->alterables->values.set(2, ((Active*)single_instance_556_5_0)->get_y()); // 'enemy-blobulule-phase1'
    }
    event_556_5_end: ;
}
void Frames::col_244_5()
{
    event_func_449();
}
void Frames::event_func_450()
{
    // event 635_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_635_5_0; single_instance_635_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyrockiship_249(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_635_5_0 == NULL)
                single_instance_635_5_0 = new_obj;
        }
    }
    event_635_5_end: ;
}
void Frames::col_245_5()
{
    event_func_450();
}
void Frames::event_func_451()
{
    // event 440_5
    {
        // group: Shooter
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_440_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(1));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_440_5_end: ;
}
void Frames::col_246_5()
{
    event_func_309();
    event_func_451();
}
void Frames::event_func_452()
{
    // event 516_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)get_instance(bullet_143_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_516_5_end: ;
}
void Frames::col_248_5()
{
    event_func_452();
    event_func_314();
    event_func_315();
}
void Frames::event_func_453()
{
    // event 253_5
    {
        // group: Sounds
        screen_170_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), screen_170_instances)) goto event_253_5_end;
        media.set_sample_volume(SOUND_RICOCHET_25, 0.3*global_values->get(12));
        media.stop_sample(SOUND_RICOCHET_25);
        media.play_id(SOUND_RICOCHET_25, -1, 1);
        media.set_sample_volume(SOUND_RICOCHET_25, global_values->get(12)*0.3);
    }
    event_253_5_end: ;
}
void Frames::event_func_454()
{
    // event 1048_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(254))) goto event_1048_5_end;
        if (!(((Active*)col_instance_1)->test_directions(4026531855))) goto event_1048_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1048_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1048_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(24);
    }
    event_1048_5_end: ;
}
void Frames::event_func_455()
{
    // event 1049_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(254))) goto event_1049_5_end;
        if (!(((Active*)col_instance_1)->test_directions(4080))) goto event_1049_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1049_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1049_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(16);
    }
    event_1049_5_end: ;
}
void Frames::event_func_456()
{
    // event 1050_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(4261412864))) goto event_1050_5_end;
        if (!(((Active*)col_instance_1)->test_directions(4026531855))) goto event_1050_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1050_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1050_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(8);
    }
    event_1050_5_end: ;
}
void Frames::event_func_457()
{
    // event 1051_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(4261412864))) goto event_1051_5_end;
        if (!(((Active*)col_instance_1)->test_directions(267386880))) goto event_1051_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1051_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1051_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(16);
    }
    event_1051_5_end: ;
}
void Frames::event_func_458()
{
    // event 1052_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(16646144))) goto event_1052_5_end;
        if (!(((Active*)col_instance_1)->test_directions(1044480))) goto event_1052_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1052_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1052_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(8);
    }
    event_1052_5_end: ;
}
void Frames::event_func_459()
{
    // event 1053_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(16646144))) goto event_1053_5_end;
        if (!(((Active*)col_instance_1)->test_directions(267386880))) goto event_1053_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1053_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1053_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(0);
    }
    event_1053_5_end: ;
}
void Frames::event_func_460()
{
    // event 1054_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(65024))) goto event_1054_5_end;
        if (!(((Active*)col_instance_1)->test_directions(4080))) goto event_1054_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1054_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1054_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(0);
    }
    event_1054_5_end: ;
}
void Frames::event_func_461()
{
    // event 1055_5
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(65024))) goto event_1055_5_end;
        if (!(((Active*)col_instance_1)->test_directions(1044480))) goto event_1055_5_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_1055_5_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_1055_5_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(24);
    }
    event_1055_5_end: ;
}
void Frames::col_249_5()
{
    event_func_453();
    event_func_454();
    event_func_455();
    event_func_456();
    event_func_457();
    event_func_458();
    event_func_459();
    event_func_460();
    event_func_461();
}
void Frames::event_func_462()
{
    // event 876_5
    {
        // group: Shield
        if (!(((Active*)col_instance_2)->test_directions(1))) goto event_876_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (1))) goto event_876_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(2, 1); // 'enemy-shield'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(13, 1); // 'FrameDataStore'
        {
            loop_hitsound_running = true;
            int times = int(1);
            loop_hitsound_index = 0;
            while (loop_hitsound_index < times) {
                loop_hitsound_5();
                if (!loop_hitsound_running) break;
                loop_hitsound_index++;
            }
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_876_5_end: ;
}
void Frames::event_func_463()
{
    // event 877_5
    {
        // group: Shield
        if (!(((Active*)col_instance_2)->test_directions(65536))) goto event_877_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (-1))) goto event_877_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(2, 1); // 'enemy-shield'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(13, 1); // 'FrameDataStore'
        {
            loop_hitsound_running = true;
            int times = int(1);
            loop_hitsound_index = 0;
            while (loop_hitsound_index < times) {
                loop_hitsound_5();
                if (!loop_hitsound_running) break;
                loop_hitsound_index++;
            }
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_877_5_end: ;
}
void Frames::event_func_464()
{
    // event 879_5
    {
        // group: Shield
        if (!(((Active*)col_instance_2)->test_directions(65536))) goto event_879_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (1))) goto event_879_5_end;
        media.stop_sample(SOUND_BOINGSHORTENED_49);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, global_values->get(12)*0.3);
        media.play_id(SOUND_BOINGSHORTENED_49, -1, 1);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, 0.3*global_values->get(12));
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_879_5_0; single_instance_879_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_debris_204(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_879_5_0 == NULL)
                single_instance_879_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_879_5_0))->alterables->values.set(0, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_879_5_0))->alterables->values.set(1, ((randrange_event(40)*1.0)/MathHelper()/10.0)-8); // 'debris'
        ((Active*)((Active*)single_instance_879_5_0))->alterables->values.set(3, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_879_5_0))->alterables->values.set(4, -1); // 'debris'
    }
    event_879_5_end: ;
}
void Frames::event_func_465()
{
    // event 880_5
    {
        // group: Shield
        if (!(((Active*)col_instance_2)->test_directions(1))) goto event_880_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (-1))) goto event_880_5_end;
        media.stop_sample(SOUND_BOINGSHORTENED_49);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, global_values->get(12)*0.3);
        media.play_id(SOUND_BOINGSHORTENED_49, -1, 1);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, 0.3*global_values->get(12));
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_880_5_0; single_instance_880_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_debris_204(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_880_5_0 == NULL)
                single_instance_880_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_880_5_0))->alterables->values.set(0, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_880_5_0))->alterables->values.set(1, ((randrange_event(40)*1.0)/MathHelper()/10.0)-8); // 'debris'
        ((Active*)((Active*)single_instance_880_5_0))->alterables->values.set(3, ((randrange_event(110)*1.0)/MathHelper()/10.0)-5); // 'debris'
        ((Active*)((Active*)single_instance_880_5_0))->alterables->values.set(4, -1); // 'debris'
    }
    event_880_5_end: ;
}
void Frames::col_250_5()
{
    event_func_462();
    event_func_463();
    event_func_464();
    event_func_465();
}
void Frames::event_func_466()
{
    // event 1011_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, -14); // 'Player'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'Player'
    }
    event_1011_5_end: ;
}
void Frames::col_251_5()
{
    event_func_466();
}
void Frames::event_func_467()
{
    // event 324_5
    {
        // group: Crates
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_324_5_end;
        FrameObject * single_instance_324_5_0; single_instance_324_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_tntstatic_153(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_324_5_0 == NULL)
                single_instance_324_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_324_5_0))->set_x(((Active*)col_instance_2)->get_x());
        ((Active*)((Active*)single_instance_324_5_0))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'TNT-static'
        ((Active*)((Active*)single_instance_324_5_0))->alterables->values.set(1, ((Active*)col_instance_2)->get_x()); // 'TNT-static'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-tntspawner'
    }
    event_324_5_end: ;
}
void Frames::col_252_5()
{
    event_func_467();
}
