#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_1055()
{
    // event 891_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto event_891_5_end;
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()-1);
        }
    }
    event_891_5_end: ;
}
void Frames::event_func_1056()
{
    // event 892_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        if (!check_not_overlap(enemypithopper_327_instances, spawnerpithopper_326_instances)) goto event_892_5_end;
        spawnerpithopper_326_instances.clear_selection();
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'spawner-pithopper'
        }
    }
    event_892_5_end: ;
}
void Frames::event_func_1057()
{
    // event 893_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        spawnerpithopper_326_instances.clear_selection();
        if (!check_overlap(enemypithopper_327_instances, spawnerpithopper_326_instances)) goto event_893_5_end;
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 0); // 'spawner-pithopper'
        }
    }
    event_893_5_end: ;
}
void Frames::event_func_1058()
{
    // event 894_5
    bool or_result_894_5 = false;
    bool or_temp_result_894_5_0 = false;
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto or_event_894_5_0_end;
        or_result_894_5 = true;
        or_temp_result_894_5_0 = true;
    }
    or_event_894_5_0_end: ;
    enemypithopper_327_instances.clear_saved_selection();
    if (or_temp_result_894_5_0) {
        enemypithopper_327_instances.save_selection();
    }
    // event 894_5
    bool or_temp_result_894_5_1 = false;
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto or_event_894_5_1_end;
        or_result_894_5 = true;
        or_temp_result_894_5_1 = true;
        or_event_894_5_1_end: ;
        if (or_temp_result_894_5_1) {
            enemypithopper_327_instances.save_selection();
        }
        if (!or_result_894_5) goto or_final_or_event_894_5_1_end;
        enemypithopper_327_instances.empty_selection();
        if (or_temp_result_894_5_0 || or_temp_result_894_5_1) {
            enemypithopper_327_instances.restore_selection();
        }
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'enemy-pithopper'
            ((Active*)*it)->alterables->values.set(1, 0); // 'enemy-pithopper'
        }
    }
    or_final_or_event_894_5_1_end: ;
}
void Frames::event_func_1059()
{
    // event 895_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (30))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto event_895_5_end;
        if (not_always_895_5_0 > loop_count) {
            not_always_895_5_0 = loop_count + 2;
            goto event_895_5_end;
        }
        not_always_895_5_0 = loop_count + 2;
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
            ((Active*)*it)->alterables->values.set(3, 1); // 'enemy-pithopper'
        }
    }
    event_895_5_end: ;
}
void Frames::event_func_1060()
{
    // event 896_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto event_896_5_end;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_896_5_0; single_instance_896_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemypithopper_327_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_896_5_0 == NULL)
                    single_instance_896_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_896_5_0))->get_movement()->set_speed(60);
        ((Active*)((Active*)single_instance_896_5_0))->set_direction(get_direction_int(((Active*)single_instance_896_5_0)->x, ((Active*)single_instance_896_5_0)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
    }
    event_896_5_end: ;
}
void Frames::event_func_1061()
{
    // event 897_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (50))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto event_897_5_end;
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+1);
        }
    }
    event_897_5_end: ;
}
void Frames::event_func_1062()
{
    // event 898_5
    {
        // group: PitHopper
        screen_170_instances.clear_selection();
        if (!check_not_overlap(screen_170_instances, enemypithopper_327_instances)) goto event_898_5_end;
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_898_5_end: ;
}
void Frames::event_func_1063()
{
    // event 900_5
    {
        // group: PitHopper
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
        }
        if (!enemypithopper_327_instances.has_selection()) goto event_900_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemypithopper_327_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemypithopper_327_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_900_5_0; single_instance_900_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemypithopper_327_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_900_5_0 == NULL)
                    single_instance_900_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(6);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_900_5_end: ;
}
void Frames::event_func_1064()
{
    // event 902_5
    {
        // group: Bouncingball
        every_902_5_0 += manager.dt;
        if (every_902_5_0 < 0.08) goto event_902_5_end;
        every_902_5_0 -= 0.08;
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'enemy-ronaldgrantbrook'
        }
    }
    event_902_5_end: ;
}
void Frames::event_func_1065()
{
    // event 903_5
    {
        // group: Bouncingball
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_903_5_end: ;
}
void Frames::event_func_1066()
{
    // event 904_5
    {
        // group: Bouncingball
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyronaldgrantbrook_328_instances.has_selection()) goto event_904_5_end;
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->alterables->values.get(0)*-1); // 'enemy-ronaldgrantbrook'
            ((Active*)*it)->alterables->values.set(0, -6); // 'enemy-ronaldgrantbrook'
        }
    }
    event_904_5_end: ;
}
void Frames::event_func_1067()
{
    // event 907_5
    {
        // group: Bouncingball
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(4278190335))) { it.deselect(); continue; }
        }
        if (!enemyronaldgrantbrook_328_instances.has_selection()) goto event_907_5_end;
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_907_5_end: ;
}
void Frames::event_func_1068()
{
    // event 908_5
    {
        // group: Bouncingball
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777088))) { it.deselect(); continue; }
        }
        if (!enemyronaldgrantbrook_328_instances.has_selection()) goto event_908_5_end;
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_908_5_end: ;
}
void Frames::event_func_1069()
{
    // event 911_5
    {
        // group: Bouncingball
        enemyronaldgrantbrook_328_instances.clear_selection();
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyronaldgrantbrook_328_instances.has_selection()) goto event_911_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyronaldgrantbrook_328_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyronaldgrantbrook_328_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_911_5_0; single_instance_911_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyronaldgrantbrook_328_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_911_5_0 == NULL)
                    single_instance_911_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 16); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 15); // 'camera shaker'
        for (ObjectIterator it(enemyronaldgrantbrook_328_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_911_5_end: ;
}
void Frames::event_func_1070()
{
    // event 912_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_912_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-smasher'
            ((Active*)*it)->set_direction(24);
        }
    }
    event_912_5_end: ;
}
void Frames::event_func_1071()
{
    // event 913_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_913_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-smasher'
            ((Active*)*it)->set_direction(8);
        }
    }
    event_913_5_end: ;
}
void Frames::event_func_1072()
{
    // event 914_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()-32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_914_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-smasher'
            ((Active*)*it)->set_direction(16);
        }
    }
    event_914_5_end: ;
}
void Frames::event_func_1073()
{
    // event 915_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()-32))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_915_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-smasher'
            ((Active*)*it)->set_direction(0);
        }
    }
    event_915_5_end: ;
}
void Frames::event_func_1074()
{
    // event 916_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_916_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+2);
        }
    }
    event_916_5_end: ;
}
void Frames::event_func_1075()
{
    // event 918_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) > (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_918_5_end;
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, 1); // 'enemy-smasher'
        }
    }
    event_918_5_end: ;
}
void Frames::event_func_1076()
{
    // event 920_5
    {
        // group: SpecsSmasher
        spawnersmasher_332_instances.clear_selection();
        for (ObjectIterator it(spawnersmasher_332_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnersmasher_332_instances.has_selection()) goto event_920_5_end;
        for (ObjectIterator it(spawnersmasher_332_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-smasher'
        }
    }
    event_920_5_end: ;
}
void Frames::event_func_1077()
{
    // event 923_5
    {
        // group: SpecsSmasher
        enemysmasher_331_instances.clear_selection();
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemysmasher_331_instances.has_selection()) goto event_923_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemysmasher_331_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemysmasher_331_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_923_5_0; single_instance_923_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemysmasher_331_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_923_5_0 == NULL)
                    single_instance_923_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 16); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 15); // 'camera shaker'
        for (ObjectIterator it(enemysmasher_331_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_923_5_end: ;
}
void Frames::event_func_1078()
{
    // event 924_5
    {
        // group: General Enemy
        ((Active*)get_instance(screenfar_299_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x());
        ((Active*)get_instance(screenfar_299_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y());
    }
    event_924_5_end: ;
}
void Frames::event_func_1079()
{
    // event 929_5
    {
        // group: Disappearing Blocks
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_929_5_end;
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_929_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_929_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_929_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_929_5_end: ;
}
void Frames::event_func_1080()
{
    // event 930_5
    {
        // group: Disappearing Blocks
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_930_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_930_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_930_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_930_5_end: ;
}
void Frames::event_func_1081()
{
    // event 931_5
    {
        // group: Disappearing Blocks
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_931_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_931_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_931_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_931_5_end: ;
}
void Frames::event_func_1082()
{
    // event 932_5
    {
        // group: Disappearing Blocks
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_932_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_932_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_932_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_932_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_932_5_end: ;
}
void Frames::event_func_1083()
{
    // event 933_5
    {
        // group: Disappearing Blocks
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_933_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_933_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_933_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_933_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_933_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_933_5_end: ;
}
void Frames::event_func_1084()
{
    // event 934_5
    {
        // group: Disappearing Blocks
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto event_934_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_934_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_934_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_934_5_end: ;
}
void Frames::event_func_1085()
{
    // event 936_5
    {
        // group: Disappearing Blocks
        dissappear_175_instances.clear_selection();
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_936_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'dissappear'
        }
    }
    event_936_5_end: ;
}
void Frames::event_func_1086()
{
    // event 937_5
    {
        // group: Disappearing Blocks
        dissappear_175_instances.clear_selection();
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (30))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (111))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_937_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(230);
            ((Active*)*it)->alterables->values.set(2, 1); // 'dissappear'
            ((Active*)*it)->force_animation(0);
        }
    }
    event_937_5_end: ;
}
void Frames::event_func_1087()
{
    // event 938_5
    {
        // group: Disappearing Blocks
        dissappear_175_instances.clear_selection();
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (111))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_938_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 0); // 'dissappear'
            ((Active*)*it)->blend_color.set_alpha_coefficient(0);
            ((Active*)*it)->alterables->values.set(0, 0); // 'dissappear'
            ((Active*)*it)->alterables->values.set(2, 0); // 'dissappear'
        }
    }
    event_938_5_end: ;
}
void Frames::event_func_1088()
{
    // event 939_5
    {
        // group: Disappearing Blocks
        player_115_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(player_115_instances, dissappear_175_instances)) goto event_939_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_939_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) >= (((Active*)get_single(dissappear_175_instances, default_active_instance))->get_y()+18))) goto event_939_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(dissappear_175_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_939_5_end: ;
}
void Frames::event_func_1089()
{
    // event 940_5
    {
        // group: Disappearing Blocks
        player_115_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(player_115_instances, dissappear_175_instances)) goto event_940_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_940_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_single(dissappear_175_instances, default_active_instance))->get_y()+18))) goto event_940_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(dissappear_175_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_940_5_end: ;
}
void Frames::event_func_1090()
{
    // event 941_5
    {
        // group: Disappearing Blocks
        dissappear_175_instances.clear_selection();
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) < (10))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!dissappear_175_instances.has_selection()) goto event_941_5_end;
        for (ObjectIterator it(dissappear_175_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_941_5_end: ;
}
void Frames::event_func_1091()
{
    // event 942_5
    {
        // group: Bullet Redirectors
        sendup_176_instances.clear_selection();
        for (ObjectIterator it(sendup_176_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendright_178_instances.clear_selection();
        for (ObjectIterator it(sendright_178_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        senddown_179_instances.clear_selection();
        for (ObjectIterator it(senddown_179_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendleft_180_instances.clear_selection();
        for (ObjectIterator it(sendleft_180_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_942_5_end: ;
}
void Frames::event_func_1092()
{
    // event 943_5
    {
        // group: Bullet Redirectors
        sendup_176_instances.clear_selection();
        for (ObjectIterator it(sendup_176_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendup_176_instances.has_selection()) goto event_943_5_end;
        for (ObjectIterator it(sendup_176_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendUp'
        }
    }
    event_943_5_end: ;
}
void Frames::event_func_1093()
{
    // event 944_5
    {
        // group: Bullet Redirectors
        sendright_178_instances.clear_selection();
        for (ObjectIterator it(sendright_178_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendright_178_instances.has_selection()) goto event_944_5_end;
        for (ObjectIterator it(sendright_178_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendRight'
        }
    }
    event_944_5_end: ;
}
void Frames::event_func_1094()
{
    // event 945_5
    {
        // group: Bullet Redirectors
        sendleft_180_instances.clear_selection();
        for (ObjectIterator it(sendleft_180_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendleft_180_instances.has_selection()) goto event_945_5_end;
        for (ObjectIterator it(sendleft_180_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendLeft'
        }
    }
    event_945_5_end: ;
}
void Frames::event_func_1095()
{
    // event 946_5
    {
        // group: Bullet Redirectors
        senddown_179_instances.clear_selection();
        for (ObjectIterator it(senddown_179_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!senddown_179_instances.has_selection()) goto event_946_5_end;
        for (ObjectIterator it(senddown_179_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendDown'
        }
    }
    event_946_5_end: ;
}
void Frames::event_func_1096()
{
    // event 947_5
    {
        // group: Bullet Redirectors
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) != (0))) { it.deselect(); continue; }
        }
        if (!bullet_143_instances.has_selection()) goto event_947_5_end;
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Bullet'
        }
    }
    event_947_5_end: ;
}
void Frames::event_func_1097()
{
    // event 951_5
    {
        // group: Eyeblock
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_951_5_end;
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_951_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_951_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_951_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_951_5_end: ;
}
void Frames::event_func_1098()
{
    // event 952_5
    {
        // group: Eyeblock
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_952_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_952_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_952_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_952_5_end: ;
}
void Frames::event_func_1099()
{
    // event 953_5
    {
        // group: Eyeblock
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_953_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_953_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_953_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_953_5_end: ;
}
void Frames::event_func_1100()
{
    // event 954_5
    {
        // group: Eyeblock
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_954_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_954_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_954_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_954_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_954_5_end: ;
}
void Frames::event_func_1101()
{
    // event 955_5
    {
        // group: Eyeblock
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_955_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_955_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_955_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_955_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_955_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_955_5_end: ;
}
void Frames::event_func_1102()
{
    // event 956_5
    {
        // group: Eyeblock
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_956_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_956_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_956_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_956_5_end: ;
}
void Frames::event_func_1103()
{
    // event 957_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_957_5_end;
        player_115_instances.clear_selection();
        if (!check_overlap(player_115_instances, objeyeblock_191_instances)) goto event_957_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) >= (((Active*)get_single(objeyeblock_191_instances, default_active_instance))->get_y()+18))) goto event_957_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objeyeblock_191_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.add(20, 1); // 'Player'
    }
    event_957_5_end: ;
}
void Frames::event_func_1104()
{
    // event 958_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_958_5_end;
        player_115_instances.clear_selection();
        if (!check_overlap(player_115_instances, objeyeblock_191_instances)) goto event_958_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_single(objeyeblock_191_instances, default_active_instance))->get_y()+18))) goto event_958_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objeyeblock_191_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.add(20, 1); // 'Player'
    }
    event_958_5_end: ;
}
void Frames::event_func_1105()
{
    // event 965_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_965_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_965_5_end: ;
}
void Frames::event_func_1106()
{
    // event 966_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_966_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_966_5_end: ;
}
void Frames::event_func_1107()
{
    // event 967_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_967_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-eyeblock'
        }
    }
    event_967_5_end: ;
}
void Frames::event_func_1108()
{
    // event 968_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_968_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-eyeblock'
        }
    }
    event_968_5_end: ;
}
void Frames::event_func_1109()
{
    // event 970_5
    {
        // group: Eyeblock
        bullet_143_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(bullet_143_instances, objeyeblock_191_instances)) goto event_970_5_end;
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_970_5_end: ;
}
void Frames::event_func_1110()
{
    // event 974_5
    {
        // group: Eyeblock
        objliftreverse_201_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(objliftreverse_201_instances, objeyeblock_191_instances)) goto event_974_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.enable(0);
        }
        for (ObjectIterator it(objliftreverse_201_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_974_5_end: ;
}
void Frames::event_func_1111()
{
    // event 975_5
    {
        // group: Eyeblock
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(20)) > (6))) goto event_975_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-32);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(20, 0); // 'Player'
    }
    event_975_5_end: ;
}
void Frames::event_func_1112()
{
    // event 976_5
    {
        // group: Eyeblock
        player_115_instances.clear_selection();
        if (!check_not_overlap(player_115_instances, objeyeblock_191_instances)) goto event_976_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(20, 0); // 'Player'
    }
    event_976_5_end: ;
}
void Frames::event_func_1113()
{
    // event 977_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        objcollisionbox_318_instances.clear_selection();
        if (!check_overlap(objeyeblock_191_instances, objcollisionbox_318_instances)) goto event_977_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_977_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.toggle(0);
            ((Active*)*it)->alterables->values.set(5, 1); // 'obj-eyeblock'
        }
    }
    event_977_5_end: ;
}
void Frames::event_func_1114()
{
    // event 978_5
    {
        // group: Eyeblock
        objeyeblock_191_instances.clear_selection();
        if (!check_not_overlap(objeyeblock_191_instances, objcollisionbox_318_instances)) goto event_978_5_end;
        if (not_always_978_5_0 > loop_count) {
            not_always_978_5_0 = loop_count + 2;
            goto event_978_5_end;
        }
        not_always_978_5_0 = loop_count + 2;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 0); // 'obj-eyeblock'
        }
    }
    event_978_5_end: ;
}
void Frames::event_func_1115()
{
    // event 979_5
    {
        // group: Ded
        if (!((global_values->get(0)) <= (0))) goto event_979_5_end;
        FrameObject * single_instance_979_5_0; single_instance_979_5_0 = NULL;
        // select single: true false false
        sprite_121_instances.clear_selection();
        for (ObjectIterator p_it(sprite_121_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + -16), parent->layer);
                if (single_instance_979_5_0 == NULL)
                    single_instance_979_5_0 = new_obj;
            }
        }
        manager.ignore_controls = true;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 1e+21); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.add(10, 1); // 'Player'
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_979_5_end: ;
}
void Frames::event_func_1116()
{
    // event 980_5
    {
        // group: Ded
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(10)) >= (178))) goto event_980_5_end;
        if (not_always_980_5_0 > loop_count) {
            not_always_980_5_0 = loop_count + 2;
            goto event_980_5_end;
        }
        not_always_980_5_0 = loop_count + 2;
        global_values->set(3, 1);
        next_frame = 4 + 0;    
    
    }
    event_980_5_end: ;
}
void Frames::event_func_1117()
{
    // event 981_5
    {
        // group: Ded
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(10)) >= (135))) goto event_981_5_end;
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(0, 0); // 'Active 11'
    }
    event_981_5_end: ;
}
void Frames::event_func_1118()
{
    // event 982_5
    {
        // group: None
        player_115_instances.clear_selection();
        active5_6_instances.clear_selection();
        if (!check_overlap(player_115_instances, active5_6_instances)) goto event_982_5_end;
        next_frame = 6 + 0;    
    
    }
    event_982_5_end: ;
}
void Frames::event_func_1119()
{
    // event 983_5
    {
        // group: None
        ((Text*)get_instance(extraguys_165_instances))->set_string(str_x_18+number_to_string(global_values->get(2)));
    }
    event_983_5_end: ;
}
void Frames::event_func_1120()
{
    // event 985_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)+((Active*)*it)->alterables->values.get(6));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->set_angle(((Active*)*it)->get_angle()+((Active*)*it)->alterables->values.get(3), 0);
        }
    }
    event_985_5_end: ;
}
void Frames::event_func_1121()
{
    // event 986_5
    {
        // group: Debris
        every_986_5_0 += manager.dt;
        if (every_986_5_0 < 0.07) goto event_986_5_end;
        every_986_5_0 -= 0.07;
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)*it)->alterables->values.get(2)); // 'debris'
        }
    }
    event_986_5_end: ;
}
void Frames::event_func_1122()
{
    // event 987_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_987_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_987_5_end: ;
}
void Frames::event_func_1123()
{
    // event 988_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (1))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_988_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_988_5_end: ;
}
void Frames::event_func_1124()
{
    // event 989_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (2))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_989_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_989_5_end: ;
}
void Frames::event_func_1125()
{
    // event 990_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (3))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_990_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_990_5_end: ;
}
void Frames::event_func_1126()
{
    // event 991_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (4))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_991_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_991_5_end: ;
}
void Frames::event_func_1127()
{
    // event 992_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (5))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_992_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_992_5_end: ;
}
void Frames::event_func_1128()
{
    // event 993_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (6))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_993_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_993_5_end: ;
}
void Frames::event_func_1129()
{
    // event 994_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (7))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_994_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_994_5_end: ;
}
void Frames::event_func_1130()
{
    // event 995_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (8))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_995_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_995_5_end: ;
}
void Frames::event_func_1131()
{
    // event 996_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (9))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_996_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_996_5_end: ;
}
void Frames::event_func_1132()
{
    // event 997_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (10))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_997_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(22);
        }
    }
    event_997_5_end: ;
}
void Frames::event_func_1133()
{
    // event 998_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (11))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_998_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(23);
        }
    }
    event_998_5_end: ;
}
void Frames::event_func_1134()
{
    // event 999_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (12))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_999_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(24);
        }
    }
    event_999_5_end: ;
}
void Frames::event_func_1135()
{
    // event 1000_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        if (!check_not_overlap(debris_204_instances, screen_170_instances)) goto event_1000_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1000_5_end: ;
}
void Frames::event_func_1136()
{
    // event 1002_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(25)) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1002_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(25);
        }
    }
    event_1002_5_end: ;
}
void Frames::event_func_1137()
{
    // event 1003_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (2))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(26)) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1003_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(26);
        }
    }
    event_1003_5_end: ;
}
void Frames::event_func_1138()
{
    // event 1004_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (3))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(27)) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1004_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(27);
        }
    }
    event_1004_5_end: ;
}
void Frames::event_func_1139()
{
    // event 1005_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (4))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(28)) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1005_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(28);
        }
    }
    event_1005_5_end: ;
}
void Frames::event_func_1140()
{
    // event 1006_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (1))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1006_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'debris'
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->alterables->values.get(0)*0.9); // 'debris'
        }
    }
    event_1006_5_end: ;
}
void Frames::event_func_1141()
{
    // event 1007_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1007_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, sin_deg(global_values->get(6)*115+(115*1.256*((Active*)*it)->alterables->values.get(3)))*3.0); // 'debris'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(3)+4)/MathHelper()/6.0);
        }
    }
    event_1007_5_end: ;
}
void Frames::event_func_1142()
{
    // event 1008_5
    {
        // group: Debris
        debris_204_instances.clear_selection();
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (-1))) { it.deselect(); continue; }
        }
        if (!debris_204_instances.has_selection()) goto event_1008_5_end;
        for (ObjectIterator it(debris_204_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(29);
        }
    }
    event_1008_5_end: ;
}
void Frames::event_func_1143()
{
    // event 1012_5
    {
        // group: Dashblocks
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(5)) == (0))) goto event_1012_5_end;
        objectdashblockall_330_instances.clear_selection();
        for (ObjectIterator it(objectdashblockall_330_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_1012_5_end: ;
}
void Frames::event_func_1144()
{
    // event 1013_5
    {
        // group: Dashblocks
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(5)) == (1))) goto event_1013_5_end;
        objectdashblockall_330_instances.clear_selection();
        for (ObjectIterator it(objectdashblockall_330_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_1013_5_end: ;
}
void Frames::event_func_1145()
{
    // event 1017_5
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(12)) > (0))) goto event_1017_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(12, 1); // 'Player'
    }
    event_1017_5_end: ;
}
void Frames::event_func_1146()
{
    // event 1018_5
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(12)) > (0))) goto event_1018_5_end;
        if (not_always_1018_5_0 > loop_count) {
            not_always_1018_5_0 = loop_count + 2;
            goto event_1018_5_end;
        }
        not_always_1018_5_0 = loop_count + 2;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(14, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(15, 3); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(16, 999); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(13, 1.5); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(14, 12); // 'Player'
    }
    event_1018_5_end: ;
}
void Frames::event_func_1147()
{
    // event 1019_5
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(12)) == (0))) goto event_1019_5_end;
        if (not_always_1019_5_0 > loop_count) {
            not_always_1019_5_0 = loop_count + 2;
            goto event_1019_5_end;
        }
        not_always_1019_5_0 = loop_count + 2;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(14, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(15, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(16, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(13, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(14, 0); // 'Player'
        ((Active*)get_instance(uipowerupindicator_265_instances))->set_visible(false);
    }
    event_1019_5_end: ;
}
void Frames::event_func_1148()
{
    // event 1020_5
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(12)) > (0))) goto event_1020_5_end;
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_1020_5_0;
            ((Active*)get_instance(uipowerupindicator_265_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + -34);
            pos_end_1020_5_0: ;
        }
        ((Active*)get_instance(uipowerupindicator_265_instances))->force_frame(18-((((Active*)get_instance(player_115_instances))->alterables->values.get(12)/MathHelper()/1200.0)*18));
        ((Active*)get_instance(uipowerupindicator_265_instances))->set_visible(true);
    }
    event_1020_5_end: ;
}
void Frames::event_func_1149()
{
    // event 1021_5
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 0.22); // 'obj-newcrate'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_1021_5_end: ;
}
void Frames::event_func_1150()
{
    // event 1022_5
    bool or_result_1022_5 = false;
    bool or_temp_result_1022_5_0 = false;
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!objnewcrate_296_instances.has_selection()) goto or_event_1022_5_0_end;
        or_result_1022_5 = true;
        or_temp_result_1022_5_0 = true;
    }
    or_event_1022_5_0_end: ;
    objnewcrate_296_instances.clear_saved_selection();
    if (or_temp_result_1022_5_0) {
        objnewcrate_296_instances.save_selection();
    }
    // event 1022_5
    bool or_temp_result_1022_5_1 = false;
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(objnewcrate_296_instances, objcogblock_287_instances)) goto or_event_1022_5_1_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto or_event_1022_5_1_end;
        or_result_1022_5 = true;
        or_temp_result_1022_5_1 = true;
        or_event_1022_5_1_end: ;
        objcogblock_287_instances.clear_saved_selection();
        if (or_temp_result_1022_5_1) {
            objnewcrate_296_instances.save_selection();
            objcogblock_287_instances.save_selection();
        }
        if (!or_result_1022_5) goto or_final_or_event_1022_5_1_end;
        objcogblock_287_instances.clear_selection();
        objnewcrate_296_instances.clear_selection();
        if (or_temp_result_1022_5_0 || or_temp_result_1022_5_1) {
            objnewcrate_296_instances.restore_selection();
        }
        if (or_temp_result_1022_5_1) {
            objcogblock_287_instances.restore_selection();
        }
        {
            loop_newcrateinground_running = true;
            int times = int(100);
            loop_newcrateinground_index = 0;
            while (loop_newcrateinground_index < times) {
                loop_newcrateinground_5();
                if (!loop_newcrateinground_running) break;
                loop_newcrateinground_index++;
            }
        }
        objnewcrate_296_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'obj-newcrate'
        }
    }
    or_final_or_event_1022_5_1_end: ;
}
void Frames::event_func_1151()
{
    // event 1025_5
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!objnewcrate_296_instances.has_selection()) goto event_1025_5_end;
        if (!check_not_overlap(objnewcrate_296_instances, objcogblock_287_instances)) goto event_1025_5_end;
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1025_5_end;
        if (!(false)) goto event_1025_5_end;
            loop_newcrateinground_running = false;
    
    }
    event_1025_5_end: ;
}
void Frames::event_func_1152()
{
    // event 1026_5
    {
        // group: Newbox
        objnewcrate_296_instances.clear_selection();
        boxdestroyer_159_instances.clear_selection();
        if (!check_overlap(objnewcrate_296_instances, boxdestroyer_159_instances)) goto event_1026_5_end;
        for (ObjectIterator it(objnewcrate_296_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1026_5_end: ;
}
void Frames::event_func_1153()
{
    // event 1028_5
    {
        // group: Sproingy Spring
        player_115_instances.clear_selection();
        springleft_185_instances.clear_selection();
        if (!check_overlap(player_115_instances, springleft_185_instances)) goto event_1028_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, -15); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(5, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_1028_5_end: ;
}
void Frames::event_func_1154()
{
    // event 1029_5
    {
        // group: Sproingy Spring
        player_115_instances.clear_selection();
        springright_186_instances.clear_selection();
        if (!check_overlap(player_115_instances, springright_186_instances)) goto event_1029_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(5, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_1029_5_end: ;
}
