#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::col_60_5()
{
    event_func_305();
}
void Frames::event_func_306()
{
    // event 1016_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(12, 1200); // 'Player'
    }
    event_1016_5_end: ;
}
void Frames::col_63_5()
{
    event_func_306();
}
void Frames::event_func_307()
{
    // event 521_5
    {
        // group: Cross-enemy
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, ((Active*)col_instance_2))) goto event_521_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 2); // 'enemy-cannon-root'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_521_5_end: ;
}
void Frames::col_64_5()
{
    event_func_307();
}
void Frames::event_func_308()
{
    // event 429_5
    {
        // group: Shooter
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_429_5_end;
        FrameObject * single_instance_429_5_0; single_instance_429_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_199(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_429_5_0 == NULL)
                single_instance_429_5_0 = new_obj;
        }
        FrameObject * single_instance_429_5_1; single_instance_429_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcollisionbox_318(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_429_5_1 == NULL)
                single_instance_429_5_1 = new_obj;
        }
    }
    event_429_5_end: ;
}
void Frames::event_func_309()
{
    // event 430_5
    {
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 11); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 11); // 'camera shaker'
    }
    event_430_5_end: ;
}
void Frames::col_65_5()
{
    event_func_308();
    event_func_309();
}
void Frames::event_func_310()
{
    // event 626_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_626_5_end: ;
}
void Frames::col_68_5()
{
    event_func_310();
}
void Frames::event_func_311()
{
    // event 461_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_461_5_0; single_instance_461_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_199(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_461_5_0 == NULL)
                single_instance_461_5_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 18); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 18); // 'camera shaker'
    }
    event_461_5_end: ;
}
void Frames::col_69_5()
{
    event_func_236();
    event_func_311();
}
void Frames::event_func_312()
{
    // event 1145_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_1145_5_0; single_instance_1145_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_1145_5_0 == NULL)
                single_instance_1145_5_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_1145_5_end: ;
}
void Frames::col_71_5()
{
    event_func_312();
}
void Frames::col_72_5()
{
    event_func_302();
}
void Frames::event_func_313()
{
    // event 516_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(1, ((Active*)get_instance(bullet_143_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_516_5_end: ;
}
void Frames::event_func_314()
{
    // event 517_5
    {
        enemyatom_198_instances.clear_selection();
        for (ObjectIterator it(enemyatom_198_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_517_5_0; single_instance_517_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyatom_198_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bigexplosion_199(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_517_5_0 == NULL)
                    single_instance_517_5_0 = new_obj;
            }
        }
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        framedatastore_205_instances.clear_selection();
        for (ObjectIterator it(framedatastore_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)get_single(enemyatom_198_instances, it.current_index, default_active_instance))->get_x()); // 'FrameDataStore'
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_single(enemyatom_198_instances, it.current_index, default_active_instance))->get_y()); // 'FrameDataStore'
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_517_5_end: ;
}
void Frames::event_func_315()
{
    // event 518_5
    {
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)get_instance(bullet_143_instances, it.current_index, default_active_instance))->alterables->values.get(4)); // 'Enemy-Hoppy'
            ((Active*)*it)->force_animation(12);
        }
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_518_5_end: ;
}
void Frames::col_74_5()
{
    event_func_313();
    event_func_314();
    event_func_315();
}
void Frames::event_func_316()
{
    // event 519_5
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_519_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_519_5_end: ;
}
void Frames::col_75_5()
{
    event_func_316();
}
void Frames::event_func_317()
{
    // event 475_5
    {
        // group: Chomper
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_475_5_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_475_5_end: ;
}
void Frames::col_76_5()
{
    event_func_317();
}
void Frames::event_func_318()
{
    // event 453_5
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_453_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_453_5_end: ;
}
void Frames::col_77_5()
{
    event_func_318();
}
void Frames::event_func_319()
{
    // event 899_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(13, 1); // 'FrameDataStore'
        {
            loop_hitsound_running = true;
            int times = int(1);
            loop_hitsound_index = 0;
            while (loop_hitsound_index < times) {
                loop_hitsound_5();
                if (!loop_hitsound_running) break;
                loop_hitsound_index++;
            }
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        enemypithopper_327_instances.clear_selection();
        for (ObjectIterator it(enemypithopper_327_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(4, 1); // 'enemy-pithopper'
        }
    }
    event_899_5_end: ;
}
void Frames::col_78_5()
{
    event_func_319();
}
void Frames::event_func_320()
{
    // event 1212_5
    {
        // group: Crumble Block
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_1212_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_1212_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_1212_5_end;
        if (not_always_1212_5_0 > loop_count) {
            not_always_1212_5_0 = loop_count + 2;
            goto event_1212_5_end;
        }
        not_always_1212_5_0 = loop_count + 2;
        media.stop_sample(SOUND_GETONGROUND_2);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_1212_5_end: ;
}
void Frames::col_79_5()
{
    event_func_320();
}
void Frames::event_func_321()
{
    // event 554_5
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_554_5_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_554_5_end: ;
}
void Frames::col_80_5()
{
    event_func_321();
}
void Frames::event_func_322()
{
    // event 288_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_288_5_0; single_instance_288_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_200(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_288_5_0 == NULL)
                single_instance_288_5_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 10); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 10); // 'camera shaker'
    }
    event_288_5_end: ;
}
void Frames::col_81_5()
{
    event_func_322();
}
void Frames::event_func_323()
{
    // event 921_5
    {
        // group: SpecsSmasher
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_921_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_921_5_end: ;
}
void Frames::col_83_5()
{
    event_func_323();
}
void Frames::event_func_324()
{
    // event 616_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-droppo'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_616_5_end: ;
}
void Frames::col_84_5()
{
    event_func_236();
    event_func_324();
}
void Frames::event_func_325()
{
    // event 1067_5
    {
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->set_direction(((Active*)col_instance_2)->get_direction()-8);
    }
    event_1067_5_end: ;
}
void Frames::col_85_5()
{
    event_func_325();
}
void Frames::event_func_326()
{
    // event 364_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(2, 1); // 'enemy-rockiship'
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_33);
        media.play_id(SOUND_IMPAKT_33, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
    }
    event_364_5_end: ;
}
void Frames::col_86_5()
{
    event_func_326();
}
void Frames::event_func_327()
{
    // event 362_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->destroy();
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_33);
        media.play_id(SOUND_IMPAKT_33, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
    }
    event_362_5_end: ;
}
void Frames::col_87_5()
{
    event_func_327();
}
void Frames::event_func_328()
{
    // event 935_5
    {
        // group: Disappearing Blocks
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_935_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_935_5_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(1)) == (0))) goto event_935_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'dissappear'
    }
    event_935_5_end: ;
}
void Frames::col_90_5()
{
    event_func_328();
}
void Frames::event_func_329()
{
    // event 361_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'enemy-homing-cog'
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_33);
        media.play_id(SOUND_IMPAKT_33, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
    }
    event_361_5_end: ;
}
void Frames::col_91_5()
{
    event_func_329();
}
void Frames::event_func_330()
{
    // event 1039_5
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_1039_5_end: ;
}
void Frames::col_92_5()
{
    event_func_330();
}
void Frames::event_func_331()
{
    // event 366_5
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_33);
        media.play_id(SOUND_IMPAKT_33, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
    }
    event_366_5_end: ;
}
void Frames::col_93_5()
{
    event_func_331();
}
void Frames::event_func_332()
{
    // event 602_5
    {
        // group: Zappa
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_602_5_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_602_5_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_602_5_end: ;
}
void Frames::col_94_5()
{
    event_func_332();
}
void Frames::event_func_333()
{
    // event 520_5
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_520_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_520_5_end: ;
}
void Frames::col_95_5()
{
    event_func_333();
}
void Frames::event_func_334()
{
    // event 320_5
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_320_5_end: ;
}
void Frames::col_97_5()
{
    event_func_334();
}
void Frames::event_func_335()
{
    // event 326_5
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(250);
        ((Active*)((Active*)col_instance_2))->set_direction(8);
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_gravity(8);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_deceleration(0);
    }
    event_326_5_end: ;
}
void Frames::col_99_5()
{
    event_func_335();
}
void Frames::event_func_336()
{
    // event 1056_5
    {
        // group: Laser redirectors
        if (!(frame_time >= 0.06)) goto event_1056_5_end;
        media.play_id(SOUND_ROTATE_PWIMP_26, -1, 1);
        media.set_sample_volume(SOUND_ROTATE_PWIMP_26, global_values->get(12)*0.35);
    }
    event_1056_5_end: ;
}
void Frames::event_func_337()
{
    // event 1066_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->set_direction(((Active*)col_instance_2)->get_direction()-8);
    }
    event_1066_5_end: ;
}
void Frames::col_100_5()
{
    event_func_336();
    event_func_337();
}
void Frames::event_func_338()
{
    // event 1140_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_1140_5_0; single_instance_1140_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_1140_5_0 == NULL)
                single_instance_1140_5_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_1140_5_end: ;
}
void Frames::col_101_5()
{
    event_func_338();
}
void Frames::col_102_5()
{
    event_func_254();
}
void Frames::event_func_339()
{
    // event 882_5
    {
        // group: Shield
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_882_5_end;
        FrameObject * single_instance_882_5_0; single_instance_882_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyshield_323(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_882_5_0 == NULL)
                single_instance_882_5_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 60*4); // 'spawner-enemy-shield'
    }
    event_882_5_end: ;
}
void Frames::col_103_5()
{
    event_func_339();
}
void Frames::event_func_340()
{
    // event 239_5
    {
        media.stop_sample(SOUND_EYEBLOCK_ALT_27);
        media.play_id(SOUND_EYEBLOCK_ALT_27, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_27, global_values->get(12)*0.18);
    }
    event_239_5_end: ;
}
void Frames::event_func_341()
{
    // event 612_5
    {
        // group: Drop Bro
        if (!(((Active*)col_instance_2)->test_directions(16777216))) goto event_612_5_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(2, 1); // 'droppo-shot'
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
    }
    event_612_5_end: ;
}
void Frames::event_func_342()
{
    // event 621_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
    }
    event_621_5_end: ;
}
void Frames::col_105_5()
{
    event_func_340();
    event_func_341();
    event_func_342();
}
void Frames::event_func_343()
{
    // event 922_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(13, 1); // 'FrameDataStore'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 7); // 'camera shaker'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(2, 1); // 'enemy-smasher'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        {
            loop_hitsound_running = true;
            int times = int(1);
            loop_hitsound_index = 0;
            while (loop_hitsound_index < times) {
                loop_hitsound_5();
                if (!loop_hitsound_running) break;
                loop_hitsound_index++;
            }
        }
    }
    event_922_5_end: ;
}
void Frames::col_106_5()
{
    event_func_343();
}
void Frames::event_func_344()
{
    // event 474_5
    {
        // group: Chomper
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_474_5_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        FrameObject * single_instance_474_5_0; single_instance_474_5_0 = NULL;
        // select single: true false false
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator p_it(enemyzapball_207_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyexplosion_200(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_474_5_0 == NULL)
                    single_instance_474_5_0 = new_obj;
            }
        }
    }
    event_474_5_end: ;
}
void Frames::col_107_5()
{
    event_func_344();
    event_func_252();
}
void Frames::event_func_345()
{
    // event 645_5
    {
        // group: Rock-It Ship
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_645_5_end;
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(15);
        ((Active*)((Active*)col_instance_2))->alterables->values.set(4, 1); // 'enemy-rockiship'
    }
    event_645_5_end: ;
}
void Frames::col_108_5()
{
    event_func_345();
}
void Frames::event_func_346()
{
    // event 796_5
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_796_5_end: ;
}
void Frames::col_109_5()
{
    event_func_346();
}
void Frames::event_func_347()
{
    // event 1058_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'enemy-laser'
    }
    event_1058_5_end: ;
}
void Frames::col_111_5()
{
    event_func_347();
}
void Frames::event_func_348()
{
    // event 594_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 9); // 'enemy-zappa'
    }
    event_594_5_end: ;
}
void Frames::col_112_5()
{
    event_func_348();
}
void Frames::event_func_349()
{
    // event 1030_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(17, 1); // 'Player'
    }
    event_1030_5_end: ;
}
void Frames::col_115_5()
{
    event_func_349();
}
void Frames::event_func_350()
{
    // event 728_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-snipereye'
    }
    event_728_5_end: ;
}
void Frames::col_116_5()
{
    event_func_350();
}
void Frames::event_func_351()
{
    // event 1220_5
    {
        // group: Crumble Block
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(4)) == (0))) goto event_1220_5_end;
        FrameObject * single_instance_1220_5_0; single_instance_1220_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objjunkblock_288(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_1220_5_0 == NULL)
                single_instance_1220_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_1220_5_0))->alterables->values.set(5, ((Active*)col_instance_2)->alterables->values.get(0)); // 'obj-junkblock'
    }
    event_1220_5_end: ;
}
void Frames::col_117_5()
{
    event_func_351();
}
void Frames::event_func_352()
{
    // event 331_5
    {
        // group: Hoppy Enemy
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_331_5_end;
        FrameObject * single_instance_331_5_0; single_instance_331_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyhoppy_174(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_331_5_0 == NULL)
                single_instance_331_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_331_5_0))->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'SpawnerHoppy'
        ((Active*)((Active*)single_instance_331_5_0))->alterables->values.set(3, 15); // 'Enemy-Hoppy'
    }
    event_331_5_end: ;
}
void Frames::event_func_353()
{
    // event 332_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        if (!check_overlap(enemyhoppy_174_instances, ((Active*)col_instance_1))) goto event_332_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (((Active*)col_instance_2)->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_332_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        }
    }
    event_332_5_end: ;
}
void Frames::col_118_5()
{
    event_func_352();
    event_func_353();
}
void Frames::event_func_354()
{
    // event 247_5
    {
        media.play_id(SOUND_KEY_11, -1, 1);
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12)*1.0);
    }
    event_247_5_end: ;
}
void Frames::col_122_5()
{
    event_func_354();
}
void Frames::event_func_355()
{
    // event 255_5
    {
        // group: Sounds
        screen_170_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), screen_170_instances)) goto event_255_5_end;
        media.stop_sample(SOUND_EYEBLOCK_ALT_27);
        media.play_id(SOUND_EYEBLOCK_ALT_27, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_27, global_values->get(12)*0.18);
    }
    event_255_5_end: ;
}
void Frames::event_func_356()
{
    // event 973_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_973_5_end: ;
}
void Frames::col_124_5()
{
    event_func_355();
    event_func_356();
}
void Frames::event_func_357()
{
    // event 795_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 0); // 'enemy-boxman'
    }
    event_795_5_end: ;
}
void Frames::col_125_5()
{
    event_func_357();
}
void Frames::event_func_358()
{
    // event 418_5
    {
        // group: Enemy Movers
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_418_5_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_418_5_end: ;
}
